Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class SimpleDeclarationEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          ix.iface.ui.JConstraintEditor
                              ix.iview.ConstraintEditor
                                  ix.iview.SimpleDeclarationEditor

All Implemented Interfaces:
  VarSpecifier, java.awt.event.MouseListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class SimpleDeclarationEditor

extends ConstraintEditor

An editor for specifying variable declarations Declarations are attached to self (the refinement).

The editor is implemented as a frame using a JTextArea and JRadioButtons.

The editor can be created with no arguments or with a given refinement which will be set as the current refinement whose variable declarations are to be specified. Subsequently, the refinement in the editor can be set using the setRefinement method.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.JButton` | `add`
`protected javax.swing.JRadioButton` | `any`
`protected javax.swing.JButton` | `delete`
`protected javax.swing.JRadioButton` | `given`
`protected javax.swing.JRadioButton` | `none`
`protected javax.swing.JRadioButton` | `used`
`protected javax.swing.JTextArea` | `varList`

Fields inherited from class ix.iview.ConstraintEditor
`varDecs`

Fields inherited from class ix.iface.ui.JConstraintEditor
`bitsBox, butBox, cancelBut, constraintListeners, currentObject, focusComponent, label, mainPanel, moreBut, okBut, original`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SimpleDeclarationEditor(java.awt.Frame owner)` Creates an editor for specifying variable declarations.
`SimpleDeclarationEditor(java.awt.Frame owner, UIRefinement refinement)` Creates an editor for specifying variable declarations within the given refinement.

Method Summary
`protected java.lang.Object` | `collectConstraint()` Reads the given declaration and lets interested parties know.
`protected void` | `handleVariables()` Note any variable declarations set in this editor.
`protected void` | `initFromObject()` Sets the refinement whose variables are to be edited Fills the current declarations (if any) into the list and selects the appropriate radio button.
`protected java.awt.Component` | `makeRels()` Makes all items on the relations panel.
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`protected java.lang.Object` | `noteNewValue(java.lang.Object constraint)` make UIO update properly so that the event is noted elsewhere (panels..)
`protected void` | `setFromObject(java.lang.Object original)` We do editing of all variable declarations from initFromObject so this is obsolete.
`void` | `setListData(java.util.Collection data)` Handles lists of ItemVar or VariableDeclaration (one for variablesUsed, the other for initialisation from previously declared variables)
`void` | `start()`

Methods inherited from class ix.iview.ConstraintEditor
`addVariableDeclaration, getField, getPreviousList, getVarsToOffer, makeBits, processConstraint`

Methods inherited from class ix.iface.ui.JConstraintEditor
`addConstraintListener, closeEditor, focus, getFocusComponent, getObject, isEditing, moreInitFromObject, mouseEntered, mouseExited, mousePressed, mouseReleased, removeConstraintListener, setMessage, setObject, setOriginal, start, start, start, start, start`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### varList

    protected javax.swing.JTextArea varList

### used

    protected javax.swing.JRadioButton used

### any

    protected javax.swing.JRadioButton any

### given

    protected javax.swing.JRadioButton given

### none

    protected javax.swing.JRadioButton none

### add

    protected javax.swing.JButton add

### delete

    protected javax.swing.JButton delete

Constructor Detail

### SimpleDeclarationEditor

    public SimpleDeclarationEditor(java.awt.Frame owner)

  Creates an editor for specifying variable declarations. The editor has components for listing declarations and a button group for setting declarations to - any variables (no constraint), - currently used variables (i.e. freeze vars as used), - none (no variables allowed) - as listed

### SimpleDeclarationEditor

    public SimpleDeclarationEditor(java.awt.Frame owner,
                                   UIRefinement refinement)

  Creates an editor for specifying variable declarations within the given refinement. As SimpleDeclarationEditor() but with a given refinement.

  Parameters:
    `refinement` - the refinement whose variable declarations are to be specified

Method Detail

### makeRels

    protected java.awt.Component makeRels()

  Makes all items on the relations panel. These are a type field, a relations (sub-type) field, and a statement field.

  Specified by:
    `makeRels` in class `ConstraintEditor`

### initFromObject

    protected void initFromObject()
                           throws java.lang.NullPointerException

  Sets the refinement whose variables are to be edited Fills the current declarations (if any) into the list and selects the appropriate radio button. Perhaps this should really be done in setFromObject(varDecs), but we only ever edit the refinement's variable declarations rather than adding a declaration one at a time, so we do it here.

  Specified by:
    `initFromObject` in class `ConstraintEditor`
  Throws:
    `java.lang.NullPointerException`

### setListData

    public void setListData(java.util.Collection data)

  Handles lists of ItemVar or VariableDeclaration (one for variablesUsed, the other for initialisation from previously declared variables)

### setFromObject

    protected void setFromObject(java.lang.Object original)

  We do editing of all variable declarations from initFromObject so this is obsolete.

  Specified by:
    `setFromObject` in class `ConstraintEditor`

### collectConstraint

    protected java.lang.Object collectConstraint()

  Reads the given declaration and lets interested parties know.

  Specified by:
    `collectConstraint` in class `ConstraintEditor`

### handleVariables

    protected void handleVariables()

  Note any variable declarations set in this editor.

  Overrides:
    `handleVariables` in class `ConstraintEditor`

### noteNewValue

    protected java.lang.Object noteNewValue(java.lang.Object constraint)

  Description copied from class: `JConstraintEditor`
  make UIO update properly so that the event is noted elsewhere (panels..)

  Overrides:
    `noteNewValue` in class `JConstraintEditor`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseClicked` in class `JConstraintEditor`

### start

    public void start()

  Overrides:
    `start` in class `ConstraintEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD